> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroclick.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seller analytics

> Aggregates calls, transactions, revenue, and new wallets for one seller owned by the authenticated organization.



## OpenAPI

````yaml https://api.zeroclick.io/openapi.json get /v1/analytics/sellers/{sellerId}
openapi: 3.0.0
info:
  title: ZeroClick API
  description: >-
    REST API for managing ZeroClick sellers, services, pricing, usage, and
    analytics. Authenticate with an API key from the ZeroClick dashboard.
  version: 1.0.0
servers:
  - url: https://api.zeroclick.io
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Sellers
  - name: Services
  - name: Meters
  - name: Plans
  - name: Plan meter prices
  - name: Usage
  - name: Analytics
  - name: Stripe Connect
  - name: Sandbox
  - name: Organizations
  - name: Users
paths:
  /v1/analytics/sellers/{sellerId}:
    get:
      tags:
        - Analytics
      summary: Seller analytics
      description: >-
        Aggregates calls, transactions, revenue, and new wallets for one seller
        owned by the authenticated organization.
      parameters:
        - schema:
            default: 30
            type: integer
            minimum: 1
            maximum: 365
          in: query
          name: days
          required: false
        - schema:
            type: string
            minLength: 1
          in: query
          name: sellerId
          required: false
        - schema:
            type: string
            minLength: 1
          in: path
          name: sellerId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  analytics:
                    type: object
                    properties:
                      days:
                        type: number
                      calls:
                        type: number
                      transactions:
                        type: number
                      revenueUsd:
                        type: string
                      newWallets:
                        type: number
                      attempts:
                        type: number
                      successRate:
                        nullable: true
                        type: number
                      recentTransactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            kind:
                              type: string
                              enum:
                                - purchase
                                - top_up
                                - transaction
                            status:
                              type: string
                              enum:
                                - challenge_created
                                - verified
                                - failed
                            walletSource:
                              nullable: true
                              type: string
                              enum:
                                - provisioned
                                - existing
                                - external
                            amountUsd:
                              type: string
                            network:
                              nullable: true
                              type: string
                            protocol:
                              nullable: true
                              type: string
                            createdAt:
                              type: string
                            verifiedAt:
                              nullable: true
                              type: string
                            seller:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                slug:
                                  type: string
                              required:
                                - id
                                - name
                                - slug
                              additionalProperties: false
                            service:
                              nullable: true
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                slug:
                                  type: string
                              required:
                                - id
                                - name
                                - slug
                              additionalProperties: false
                            plan:
                              nullable: true
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                              required:
                                - id
                                - name
                              additionalProperties: false
                            agent:
                              nullable: true
                              type: object
                              properties:
                                id:
                                  type: string
                                walletAddress:
                                  nullable: true
                                  type: string
                              required:
                                - id
                                - walletAddress
                              additionalProperties: false
                          required:
                            - id
                            - kind
                            - status
                            - walletSource
                            - amountUsd
                            - network
                            - protocol
                            - createdAt
                            - verifiedAt
                            - seller
                            - service
                            - plan
                            - agent
                          additionalProperties: false
                    required:
                      - days
                      - calls
                      - transactions
                      - revenueUsd
                      - newWallets
                      - attempts
                      - successRate
                      - recentTransactions
                    additionalProperties: false
                required:
                  - analytics
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - seller_not_found
                      - service_not_found
                      - meter_not_found
                      - plan_not_found
                      - plan_meter_price_not_found
                      - duplicate_slug
                      - duplicate_key
                      - duplicate_plan_meter_price
                      - signing_secret_not_found
                      - insufficient_scope
                      - payg_price_not_whole_cents
                      - custom_domain_skip_unavailable
                      - active_stateful_accounts_exist
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - seller_not_found
                      - service_not_found
                      - meter_not_found
                      - plan_not_found
                      - plan_meter_price_not_found
                      - duplicate_slug
                      - duplicate_key
                      - duplicate_plan_meter_price
                      - signing_secret_not_found
                      - insufficient_scope
                      - payg_price_not_whole_cents
                      - custom_domain_skip_unavailable
                      - active_stateful_accounts_exist
                required:
                  - error
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - seller_not_found
                      - service_not_found
                      - meter_not_found
                      - plan_not_found
                      - plan_meter_price_not_found
                      - duplicate_slug
                      - duplicate_key
                      - duplicate_plan_meter_price
                      - signing_secret_not_found
                      - insufficient_scope
                      - payg_price_not_whole_cents
                      - custom_domain_skip_unavailable
                      - active_stateful_accounts_exist
                required:
                  - error
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - organization_permission_required
                      - seller_not_found
                      - service_not_found
                      - meter_not_found
                      - plan_not_found
                      - plan_meter_price_not_found
                      - duplicate_slug
                      - duplicate_key
                      - duplicate_plan_meter_price
                      - signing_secret_not_found
                      - insufficient_scope
                      - payg_price_not_whole_cents
                      - custom_domain_skip_unavailable
                      - active_stateful_accounts_exist
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key created in the ZeroClick dashboard under Settings → API keys.
        Keys start with `zc_`. Send them as `Authorization: Bearer zc_...`.

````